Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class PropertyTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.datamodel.ModelComponentTable
oracle.rules.sdk.editor.datamodel.PropertyTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class PropertyTable
extends ModelComponentTable

A list of properties

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`m_dm, m_mark, m_parent`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PropertyTable(DataModel dm)`

Method Summary
`Property` | `add()` Create a Property and add it to the Property table
`Property` | `getProperty(int index)` get a property by index
`Property` | `getProperty(java.lang.String id)` get a property by id
`Property` | `getPropertyByName(java.lang.String name)` get a property by name
`java.lang.Object` | `removeByID(java.lang.String id)` Remove a property by id.
`java.lang.Object` | `removeByName(java.lang.String name)` Remove a property by name.

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`getParent, mark, removeMarked`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### PropertyTable

    public PropertyTable(DataModel dm)

Method Detail

### add

    public Property add()

  Create a Property and add it to the Property table
  Returns:
    The newly created property.

### getProperty

    public Property getProperty(int index)

  get a property by index
  Parameters:
    `index` - the index of the property list
  Returns:
    The property in the position

### getProperty

    public Property getProperty(java.lang.String id)

  get a property by id
  Parameters:
    `id` - the id of the property requested
  Returns:
    The property matching the id

### getPropertyByName

    public Property getPropertyByName(java.lang.String name)

  get a property by name
  Parameters:
    `name` - the name of the property requested
  Returns:
    The property matching the name

### removeByID

    public java.lang.Object removeByID(java.lang.String id)
                                throws DeleteException

  Remove a property by id. If the given id does not match any property, then no property is removed. If it is a java property, a DeleteException is thrown.
  Specified by:
    `removeByID` in class `ModelComponentTable`
  Parameters:
    `id` - the id of the property to be removed
  Returns:
    The property being removed. Null if no property is removed.
  Throws:
    `thrown` - if it is a Java property
    `DeleteException`

### removeByName

    public java.lang.Object removeByName(java.lang.String name)
                                  throws DeleteException

  Remove a property by name. If the given name does not match any property, then no property is removed. If it is a java property, a DeleteException is thrown.
  Parameters:
    `name` - the name of the property to be removed
  Returns:
    The property being removed. Null if no property is removed.
  Throws:
    `thrown` - if it is a Java property
    `DeleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.